from str_utils import starts_with

def time_to_float(time_str):
    minutes, seconds = time_str.split(':')
    return int(minutes) + int(seconds)/60

def string_to_list(data_str):
    data_list = data_str.split(',')
    data_list[3] = float(data_list[3])
    data_list[4] = int(data_list[4])
    data_list[5] = time_to_float(data_list[5])
    data_list[6] = time_to_float(data_list[6])
    return data_list

def load_data_file(filename):
    data_list = []
    data_file = open(filename, 'r')
    for line in data_file:
        if starts_with(line, '#'):
            continue
        data_record = string_to_list(line)
        data_list.append(data_record)
    return data_list

